Overview | Package | Class | Tree | Deprecated | Index | Help
| Qizx/Open v0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.xfra.qizxopen.util
Class VOutputStream

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--java.io.FilterOutputStream
                  |
                  +--java.io.BufferedOutputStream
                        |
                        +--net.xfra.qizxopen.util.VOutputStream

public class VOutputStream
extends java.io.BufferedOutputStream

Binary output stream with support for variable-length positive integers. BUG: tell() is correct only if we use only the output methods defined here.

Constructor Summary
`VOutputStream(java.io.File file)`

Method Summary
`void` | `putVint(int code)`
`void` | `putVlong(long code)`
`void` | `syncClose()` Closes and synchronizes the file on disk.
`long` | `tell()`

Methods inherited from class java.io.BufferedOutputStream
`flush, write, write`

Methods inherited from class java.io.FilterOutputStream
`close, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VOutputStream

    public VOutputStream(java.io.File file)
                  throws java.io.FileNotFoundException

Method Detail

### putVlong

    public void putVlong(long code)
                  throws java.io.IOException

    `java.io.IOException`

### syncClose

    public void syncClose()
                   throws java.io.IOException

  Closes and synchronizes the file on disk.

    `java.io.IOException`

### putVint

    public void putVint(int code)
                 throws java.io.IOException

    `java.io.IOException`

### tell

    public long tell()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright Xavier FRANC 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD